Site news

General news and announcements

DiscussionStarted byRepliesLast post
Spring Semester 2018 Schedule Edits Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Thu, Dec 7, 2017, 8:18 AM
Volunteers Needed to Clean Skills Lab Manikins Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Fri, Dec 1, 2017, 4:53 PM
Self-Enrollment postponed till December 15th Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Nov 30, 2017, 11:54 AM
Self-Enrollment for Spring 2018 Picture of Patrick Robrecht Patrick Robrecht 1 Patrick Robrecht
Wed, Nov 29, 2017, 9:53 AM
400 Level Progressive Evidence Based Presentations Picture of Paige Easter Paige Easter 0 Paige Easter
Tue, Nov 28, 2017, 2:50 PM
Spring Break 2018 Medical Mission Trip Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Mon, Nov 20, 2017, 9:51 AM
Testing Our Send Word Now Emergency Messaging System Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Wed, Nov 15, 2017, 12:47 PM
Pet-A-Pup Adoption Day Friday December 8th Picture of Paige Easter Paige Easter 0 Paige Easter
Tue, Nov 7, 2017, 9:46 AM
Lost/Damaged ID Badges Picture of Paige Easter Paige Easter 0 Paige Easter
Wed, Oct 4, 2017, 12:23 PM
Virginia League for Nursing Scholarship Opportunity Picture of Paige Easter Paige Easter 0 Paige Easter
Tue, Sep 26, 2017, 9:58 AM
Students wanting to stay later to study Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Sep 22, 2017, 10:45 AM
Curriculum Change for RN-BSN Students Picture of Holly Puckett Holly Puckett 0 Holly Puckett
Thu, Sep 7, 2017, 9:23 AM
Hurricane Harvey Relief Collection Picture of Paige Easter Paige Easter 0 Paige Easter
Fri, Sep 1, 2017, 3:33 PM
Kaplan Log-In Issues Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Mon, Aug 28, 2017, 3:10 PM
All ADN & LPN Students Picture of Aaron Ellenburg Aaron Ellenburg 0 Aaron Ellenburg
Fri, Aug 25, 2017, 9:01 AM
Overflow Parking Picture of Paige Easter Paige Easter 0 Paige Easter
Thu, Aug 24, 2017, 8:52 AM
eHealthcareIT Online General Orientation Deadline Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Wed, Aug 23, 2017, 9:25 AM
Student Parking FIXED! Picture of Paige Easter Paige Easter 0 Paige Easter
Tue, Aug 22, 2017, 10:15 AM
Student Parking and I.D. Badges Picture of Paige Easter Paige Easter 0 Paige Easter
Tue, Aug 22, 2017, 10:06 AM
ADN 100 Level Self-Enrollment Reminder Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Sat, Aug 5, 2017, 11:33 AM
Elsevier/Evolve Textbook Orders Picture of Patrick Robrecht Patrick Robrecht 0 Patrick Robrecht
Tue, Aug 1, 2017, 1:48 PM
AD Students in 200 Level Course - Textbook Bundle Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Jul 20, 2017, 3:36 PM
Verified Credentials for Incoming Students Picture of Paige Easter Paige Easter 0 Paige Easter
Fri, Jul 14, 2017, 12:16 PM
2017-2018 FAFSA Picture of Aaron Ellenburg Aaron Ellenburg 0 Aaron Ellenburg
Thu, Jul 13, 2017, 10:05 AM
Self-Enrollment is being closed temporarily Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Tue, Jul 11, 2017, 9:11 AM
Self-Enrollment to re-open today, Friday, July 7th at 2 pm Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Jul 7, 2017, 12:54 PM
Self-Enrollment has been taken down for system work Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Jul 7, 2017, 8:52 AM
Updated Information on Self-Enrollment into Courses / Course Sections Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Jun 29, 2017, 9:25 PM
CPR Class May 24th for CCON Students - Must sign up by May 15th Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Tue, May 9, 2017, 12:32 PM
Student Volunteer Opportunities Summer 2017 Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Tue, Apr 11, 2017, 5:44 PM
Volunteer Opportunities Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Mon, Mar 27, 2017, 9:04 AM
SAVE THE DATE! Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Mon, Mar 20, 2017, 3:53 PM
Centra Policies & Procedures Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Mar 17, 2017, 1:24 PM
SGA meeting on Monday Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Thu, Feb 23, 2017, 4:01 PM
What a Success! Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Fri, Feb 10, 2017, 8:46 AM
Student Reminder: eHealthcare IT Modules must be completed Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Sat, Jan 14, 2017, 12:02 PM
Kaplan Payments for Spring 2017 Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Mon, Jan 9, 2017, 4:23 PM
Faculty Course & Clinical Evaluations: fall 2016 semester Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Thu, Dec 8, 2016, 1:05 PM
Spring 2017 Orientation for New Students Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Dec 2, 2016, 11:35 AM
CPR Class for Students Needing a Renewal for Clinical Picture of Dana  Grant Dana Grant 0 Dana Grant
Mon, Nov 7, 2016, 3:16 PM
Notice to Students, Faculty & Staff - CCON Handicap Door Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Oct 20, 2016, 8:03 AM
Centra RN Sign-On Bonus Picture of Dana  Grant Dana Grant 0 Dana Grant
Tue, Oct 4, 2016, 1:33 PM
Centra College of Nursing - Lockdown Lifted Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Sep 8, 2016, 12:40 PM
Centra College of Nursing is currently on lockdown Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Sep 8, 2016, 12:31 PM
Faculty Course & Clinical Evaluations: Summer Semester 1st session Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Thu, Aug 4, 2016, 4:04 PM
CPR Class at CVCC - Aug 27th - Current and New Students Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Jul 28, 2016, 3:12 PM
CVCC Fall Tuition Due - Monday July 25th Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Jul 22, 2016, 4:07 PM
AD Class of May 2016 Graduation Pictures Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, May 27, 2016, 5:56 PM
Student Volunteer Opportunities Summer 2016 Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Apr 29, 2016, 3:43 PM
Faculty Instructor Course and Clinical Evaluations: Spring 2016 Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Wed, Apr 27, 2016, 10:42 AM
Reminder to all students regarding for student parking Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Apr 8, 2016, 12:02 PM
Centra College of Nursing Test of Alert System - Only a Test Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Mon, Jan 18, 2016, 10:08 AM
IMPORTANT - Current mailing addresses needed for all students if moved in past year. Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Tue, Dec 15, 2015, 9:36 AM
Faculty Instructor Evaluations Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Mon, Dec 7, 2015, 2:35 PM
CCON Committees Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Tue, Sep 29, 2015, 9:37 AM
2015 Annual Campus Security Report Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Fri, Sep 25, 2015, 4:09 PM
REMINDER: Test of Centra College of Nursing Student Alert System Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Sep 24, 2015, 5:46 PM
Centra Sponsored "Welcome Back Party" Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Thu, Sep 24, 2015, 5:00 PM
SAVE THE DATE Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Wed, Sep 23, 2015, 10:14 AM
SGA Meeting Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Fri, Sep 11, 2015, 3:41 PM
Student Representatives Needed for College Committees Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Thu, Sep 3, 2015, 12:13 PM
VLN Student Scholarship Award Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Tue, Aug 18, 2015, 11:54 AM
Financial Aid Questions and Concerns Picture of Carolyn Jennings Carolyn Jennings 3 Lisa Brown
Mon, Aug 10, 2015, 11:32 AM
Centra Library Resources Picture of Cheryl McFaden Cheryl McFaden 0 Cheryl McFaden
Tue, Jul 28, 2015, 10:19 AM
Class of May 2015 Commencement Photos Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Thu, Jun 11, 2015, 4:36 PM
Volunteer Opportunity Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Mon, Jun 1, 2015, 3:22 PM
Summer Volunteer Opportunity for Students Picture of Cathy Armes Cathy Armes 1 Meghan Riley
Sun, May 31, 2015, 11:08 AM
NEW SCHOLARSHIP OPPORTUNITY Picture of Sarah Ray Sarah Ray 0 Sarah Ray
Tue, May 19, 2015, 9:48 AM
Virginia Board of Nursing Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Fri, Apr 17, 2015, 5:57 PM
CVCC Summer Tuition Picture of Rhonda Wormser Rhonda Wormser 0 Rhonda Wormser
Mon, Apr 13, 2015, 4:57 PM
Upcoming SGA Events! Picture of Cathy Armes Cathy Armes 0 Cathy Armes
Sun, Mar 29, 2015, 6:03 PM
Even MORE MONEY!!! Picture of Sarah Ray Sarah Ray 2 Mary Busey
Wed, Feb 25, 2015, 10:14 PM
Administrative Leadership Changes Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Thu, Jan 29, 2015, 6:55 PM
Money, money, money Picture of Sarah Ray Sarah Ray 0 Sarah Ray
Thu, Jan 22, 2015, 12:40 PM
eHealthcareIT News Picture of Sarah Ray Sarah Ray 0 Sarah Ray
Fri, Jan 16, 2015, 2:58 PM
spring 2015 Picture of Melody Sharp Melody Sharp 0 Melody Sharp
Fri, Jan 9, 2015, 4:49 PM
Annual Campus Security Report 2014 Picture of Sarah Ray Sarah Ray 0 Sarah Ray
Thu, Aug 21, 2014, 11:11 AM
Time College will open daily, Door Swipes and Student Badges Picture of Carolyn Jennings Carolyn Jennings 0 Carolyn Jennings
Tue, Aug 20, 2013, 10:33 AM
Welcome Picture of Cheryl McFaden Cheryl McFaden 0 Cheryl McFaden
Mon, Sep 12, 2011, 4:19 PM